# special_alloc.hpp File Reference

re-definition of new and delete class operator More...

`#include "../my_config.h"`

Go to the source code of this file.

## Detailed Description

re-definition of new and delete class operator

this is a set of macro that makes the new and delete operator for a class be re-defined in a way that allocation is done in big chunks at the system level, and is split in small requested pieces for a given object allocation. This bring some performance improvment, because a lot a small objects that live and die toghether have to be allocated.

Definition in file special_alloc.hpp.